%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

#define rcver beta8
%define rel 1

%if 0%{?rcver:1}
%global rcrel .%{rcver}
%global subrel %{rcver}
%endif


Name:           ocaml-lblgtk3
Version:        3.1.5
Release:        %mkrel %{rel}
Summary:        OCaml interface to Gtk+3
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            https://garrigue.github.io/lablgtk/
VCS:            git:%{giturl}.git
Source:         %{giturl}/archive/%{version}/lablgtk3-%{version}.tar.gz

BuildRequires:  help2man
BuildRequires:  ocaml >= 4.12.0
BuildRequires:  ocaml-cairo-devel >= 0.6
BuildRequires:  ocaml-camlp-streams-devel >= 5.0
BuildRequires:  ocaml-dune >= 1.8.0
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(gtkspell3-3.0)
BuildRequires:  pkgconfig(goocanvas-2.0)
BuildRequires:  pkgconfig(librsvg-2.0)

%global _description %{expand:
LablGTK3 is an Objective Caml interface to gtk3.  It uses the rich
type system of Objective Caml to provide a strongly typed, yet very
comfortable, object-oriented interface to gtk3.}

%description %_description

%package devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig(gtk+-3.0)
Requires:       ocaml-cairo-devel%{?_isa}

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package gtkspell3
Summary:        OCaml interface to gtkspell3
Group:          Development/OCaml
Conflicts:      %{name} < 3.1.2

%description    gtkspell3 %_description

This package contains OCaml bindings for gtkspell3.

%package gtkspell3-devel
Summary:        Development files for ocaml-gtkspell3
Group:          Development/OCaml
Requires:       %{name}-gtkspell3%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Requires:       pkgconfig(gtkspell3-3.0)

%description gtkspell3-devel
The %{name}-gtkspell3-devel package contains libraries and signature
files for developing applications that use %{name}-gtkspell3.

%package        rsvg2
Summary:        OCaml interface to librsvg2
Group:          Development/OCaml
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    rsvg2 %_description

This package contains OCaml bindings for librsvg2.

%package        rsvg2-devel
Summary:        Development files for %{name}-rsvg2
Group:          Development/OCaml
Requires:       %{name}-rsvg2%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Requires:       pkgconfig(librsvg-2.0)

%description    rsvg2-devel
The %{name}-rsvg2-devel package contains libraries and signature
files for developing applications that use %{name}-rsvg2.

%package sourceview3
Summary:        OCaml interface to sourceview3
Group:          Development/OCaml
Conflicts:      %{name} < 3.1.2

%description    sourceview3 %_description

This package contains OCaml bindings for gtksourceview3.

%package sourceview3-devel
Summary:        Development files for ocaml-sourceview3
Group:          Development/OCaml
Requires:       %{name}-sourceview3%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Requires:       pkgconfig(gtksourceview-3.0)

%description sourceview3-devel
The %{name}-sourceview3-devel package contains libraries and signature
files for developing applications that use %{name}-sourceview3.

%package goocanvas2
Summary:        OCaml interface to goocanvas2
Group:          Development/OCaml

%description    goocanvas2 %_description

This package contains OCaml bindings for goocanvas2.

%package goocanvas2-devel
Summary:        Development files for ocaml-goocanvas2
Group:          Development/OCaml
Requires:       %{name}-goocanvas2%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Requires:       pkgconfig(goocanvas-2.0)

%description goocanvas2-devel
The %{name}-goocanvas2-devel package contains libraries and signature
files for developing applications that use %{name}-goocanvas2.

%prep
%autosetup -n lablgtk-%{version}%{??rcrel} -p1

# This file is empty, so drop it before we make assemble the docs
rm doc/FAQ.text

# Make sure we do not use the bundled copy of xml-light
rm -fr tools/instrospection/xml-light

%build
export LABLGTK_EXTRA_FLAGS=-g
%dune_build

# Make the man pages
HELP2MAN="-N --version-string=%{version}"
cd _build/install/default/bin
help2man $HELP2MAN -N -o ../../../../gdk_pixbuf_mlsource3.1 \
  -n 'Generate pixel data' ./gdk_pixbuf_mlsource3
help2man $HELP2MAN -N -o ../../../../lablgladecc3.1 \
  -n 'GTK interface compiler' ./lablgladecc3
cd -

%install
%dune_install -s

# Install the man pages
mkdir -p %{buildroot}%{_mandir}/man1
cp -p gdk_pixbuf_mlsource3.1 lablgladecc3.1 %{buildroot}%{_mandir}/man1

%check
%dune_check

%files -f .ofiles-lablgtk3
%doc CHANGES.md CHANGELOG.API README.md doc
%license LGPL LICENSE
%{_mandir}/man1/gdk_pixbuf_mlsource3.1*
%{_mandir}/man1/lablgladecc3.1*

%files devel -f .ofiles-lablgtk3-devel

%files goocanvas2 -f .ofiles-lablgtk3-goocanvas2

%files goocanvas2-devel -f .ofiles-lablgtk3-goocanvas2-devel

%files gtkspell3 -f .ofiles-lablgtk3-gtkspell3

%files gtkspell3-devel -f .ofiles-lablgtk3-gtkspell3-devel

%files rsvg2 -f .ofiles-lablgtk3-rsvg2

%files rsvg2-devel -f .ofiles-lablgtk3-rsvg2-devel

%files sourceview3 -f .ofiles-lablgtk3-sourceview3

%files sourceview3-devel -f .ofiles-lablgtk3-sourceview3-devel



%changelog
* Fri Jun 20 2025 daviddavid <daviddavid> 3.1.5-1.mga10
+ Revision: 2193091
- new version: 3.1.5

* Fri Oct 21 2022 pterjan <pterjan> 3.1.3-1.mga9
+ Revision: 1898171
- Add missing BuildRequires
- Update to 3.1.3

* Thu May 19 2022 pterjan <pterjan> 3.1.2-1.mga9
+ Revision: 1859245
- Update to 3.1.2, add goocanvas subpackage, and move stublib files to the right subpackages
- Rebuild for OCaml 4.14

* Wed Apr 06 2022 umeabot <umeabot> 3.1.1-7.mga9
+ Revision: 1845959
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 3.1.1-6.mga9
+ Revision: 1750844
- OCaml 4.13.1 build
- Add -vadjustment patch to fix layout issue

* Thu Mar 25 2021 tv <tv> 3.1.1-5.mga9
+ Revision: 1709984
- Fix missing version in META which breaks building coq
- Kill useless deps
- Build & include doc
- Adjust deps
- Run testsuite
- Improved description (SILE?T)

* Wed Mar 03 2021 tv <tv> 3.1.1-3.mga9
+ Revision: 1697197
- rebuild for ocaml-4.2-12

* Mon Aug 24 2020 tv <tv> 3.1.1-2.mga8
+ Revision: 1618400
- 3.1.1

* Sun Mar 01 2020 tv <tv> 3.1.0-2.mga8
+ Revision: 1552528
- fix deps

* Fri Feb 28 2020 pterjan <pterjan> 3.1.0-1.mga8
+ Revision: 1551596
- Update to 3.1.0

* Sat Jan 25 2020 tv <tv> 3.0-0.beta8.mga8
+ Revision: 1482980
- imported package ocaml-lablgtk3

